org.apache.torque.generator.configuration.mergepoint

## Class OptionsSaxHandlerFactories

- java.lang.Object
- - org.apache.torque.generator.configuration.mergepoint.OptionsSaxHandlerFactories

-     public class OptionsSaxHandlerFactories
      extends Object

  A registry of OptionsSaxHandlerFactories. $Id: OptionsSaxHandlerFactories.java 1840416 2018-09-09 15:10:22Z tv $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionsSaxHandlerFactories()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OptionsSaxHandlerFactory` | `getOptionsSaxHandlerFactory(String type)` Returns the OptionsSaxHandlerFactory associated with the given type.
    `void` | `register(OptionsSaxHandlerFactory optionsSaxHandlerFactory)` Registers a new OptionsSaxHandlerFactory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OptionsSaxHandlerFactories

          public OptionsSaxHandlerFactories()

      Constructor. Registers the default OptionsSaxHandlerFactories.

  - ### Method Detail

    - #### register

          public void register(OptionsSaxHandlerFactory optionsSaxHandlerFactory)
                        throws ConfigurationException

      Registers a new OptionsSaxHandlerFactory.
      Parameters:
        `optionsSaxHandlerFactory` - the factory to register, not null.
      Throws:
        `ConfigurationException` - if the type of the registered factory already exists.

    - #### getOptionsSaxHandlerFactory

          public OptionsSaxHandlerFactory getOptionsSaxHandlerFactory(String type)

      Returns the OptionsSaxHandlerFactory associated with the given type.
      Parameters:
        `type` - the type top look for, not null.
      Returns:
        the OptionsSaxHandlerFactory associated with the given type, or null if no OptionsSaxHandlerFactory exists for the given type.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.